package com.lij.himeeter.common.exception;

/**
 * <pre>
 *
 * 文件名 :  UtilException
 * 创建时间 : 2025年01月02日 15:01
 *
 * 文件描述 : 工具类异常
 *
 * </pre>
 *
 * @author Nobita
 * @version 1.0.0
 */

public class UtilException extends RuntimeException {
    private static final long serialVersionUID = 8247610319171014183L;

    public UtilException(Throwable e) {
        super(e.getMessage(), e);
    }

    public UtilException(String message) {
        super(message);
    }

    public UtilException(String message, Throwable throwable) {
        super(message, throwable);
    }
}
